﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace WpfApplication2
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
			this.DataContext = new ViewModel();
		}
	}

	public class ViewModel : INotifyPropertyChanged
	{
		public ViewModel()
		{
			this.DataItems = new List<DataItem>();

			for (int i = 0; i < 5; i++)
			{
				DataItem dataItem = new DataItem();
				dataItem.Header = string.Format("Item {0}", i);
				this.DataItems.Add(dataItem);
			}
		}

		public List<DataItem> DataItems { get; private set; }

		private DataItem selectedDataItem;

		public DataItem SelectedDataItem
		{
			get
			{
				return this.selectedDataItem;
			}
			set
			{
				if (this.selectedDataItem != value)
				{
					this.selectedDataItem = value;
					this.OnPropertyChanged("SelectedDataItem");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}

	public class DataItem
	{
		public string Header { get; set; }
	}
}
